package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.CanteenInfo;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface CanteenInfoDAO {
	int insert(CanteenInfo entity);
	int update(CanteenInfo entity);
	int exist(String id);
	CanteenInfo get(String id);
	int delete(String id);
	List<CanteenInfo> list();
	List<CanteenInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
}